* [PATCH] improve scripts/gcc-version.sh output a bit when called without args
@ 2007-05-07 15:18 Jesper Juhl
0 siblings, 0 replies; only message in thread
From: Jesper Juhl @ 2007-05-07 15:18 UTC (permalink / raw)
To: linux-kernel; +Cc: jesper.juhl
Currently, if you call scripts/gcc-version.sh without arguments it will
generate this output :
$ sh scripts/gcc-version.sh
scripts/gcc-version.sh: line 17: -E: command not found
scripts/gcc-version.sh: line 18: -E: command not found
0000
Not too pretty. I believe this is an improvement :
$ sh scripts/gcc-version.sh
Error: No compiler specified.
Usage:
scripts/gcc-version.sh <gcc-command>
as implemented by the patch below.
Not really important, just something I noticed, cleaned up and generated a
patch for.
If you like it you can have it. If you hate it just ignore it :)
Signed-off-by: Jesper Juhl <jesper.juhl@gmail.com>
---
scripts/gcc-version.sh | 6 ++++++
1 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/scripts/gcc-version.sh b/scripts/gcc-version.sh
index bb4fbea..59a03a4 100644
--- a/scripts/gcc-version.sh
+++ b/scripts/gcc-version.sh
@@ -8,6 +8,12 @@
compiler="$*"
+if [ ${#compiler} -eq 0 ]; then
+ echo "Error: No compiler specified."
+ echo -e "Usage:\n\t$0 <gcc-command>"
+ exit 1
+fi
+
MAJOR=$(echo __GNUC__ | $compiler -E -xc - | tail -n 1)
MINOR=$(echo __GNUC_MINOR__ | $compiler -E -xc - | tail -n 1)
printf "%02d%02d\\n" $MAJOR $MINOR
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2007-05-07 15:18 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2007-05-07 15:18 [PATCH] improve scripts/gcc-version.sh output a bit when called without args Jesper Juhl
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Powered by JetHome